"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var bcomponent_1 = require('../bcomponent');
var AlertBComponent = (function (_super) {
    __extends(AlertBComponent, _super);
    function AlertBComponent() {
        var _this = this;
        _super.call(this, "alert alert-success");
        this.dismissible = false;
        this.hidden = false;
        this.type = "success";
        this.ngOnChildChanges = function () {
            _this.type = _this.type === "default" || _this.type === "primary" ? "success" : _this.type;
            _this.baseClass = "alert alert-" + _this.type;
            if (_this.dismissible) {
                _this.baseClass += " alert-dismissible";
            }
        };
        this.show = function () {
            _this.hidden = true;
        };
        this.hide = function () {
            _this.hidden = false;
        };
    }
    AlertBComponent = __decorate([
        core_1.Component({
            selector: "alert-bcomponent",
            template: '<div [bcomponent-attributes]=self role=alert *ngIf=!hidden><button type=button class=close data-dismiss=alert aria-label=close *ngIf=dismissible><span aria-hidden=true>&times;</span></button> <span [innerHtml]=text></span></div>',
            directives: [bcomponent_1.BComponentAttributes],
            inputs: bcomponent_1.BComponentInputs.concat(['text', 'dismissible', 'hidden', 'type'])
        }), 
        __metadata('design:paramtypes', [])
    ], AlertBComponent);
    return AlertBComponent;
}(bcomponent_1.BComponent));
exports.AlertBComponent = AlertBComponent;
