import { ElementRef } from '@angular/core';
export declare class BComponent {
    self: this;
    ngOnChildChanges: () => void;
    baseClass: string;
    id: string;
    class: string;
    classes: string;
    styles: string;
    name: string;
    aria: string;
    ariaBy: string;
    constructor(baseClass: string);
    ngOnChanges(): void;
    isNull: (value: any) => boolean;
}
export declare const BComponentInputs: string[];
export declare class BComponentAttributes {
    private el;
    attributes: BComponent;
    constructor(el: ElementRef);
    setAttribute: (attribute: string, value: string) => void;
    ngOnChanges(): void;
}
export declare type DisplayType = "default" | "primary" | "success" | "info" | "warning" | "danger";
export declare type DisplaySize = "lg" | "sm";
