import { BComponent } from '../bcomponent';
export declare type DropdownType = "separator" | "header" | "default";
export declare class DropdownItem {
    type: DropdownType;
    text: string;
    class: string;
    role: string;
    link: string;
    constructor(type: DropdownType, text: string, link: string);
    isLink: () => boolean;
}
export declare class DropdownBComponent extends BComponent {
    items: DropdownItem[];
    title: string;
    constructor();
}
