"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var bcomponent_1 = require('../bcomponent');
var PanelBComponent = (function (_super) {
    __extends(PanelBComponent, _super);
    function PanelBComponent() {
        var _this = this;
        _super.call(this, "panel panel-default");
        this.type = "default";
        this.ngOnChildChanges = function () {
            _this.baseClass = "panel panel-" + _this.type;
        };
    }
    PanelBComponent = __decorate([
        core_1.Component({
            selector: "panel-bcomponent",
            template: '<div [bcomponent-attributes]=self><div *ngIf=!isNull(header) class=panel-heading [innerHtml]=header></div><div class=panel-body [innerHtml]=body></div><div *ngIf=!isNull(footer) class=panel-footer [innerHtml]=footer></div></div>',
            directives: [bcomponent_1.BComponentAttributes],
            inputs: bcomponent_1.BComponentInputs.concat(['header', 'body', 'footer', 'type'])
        }), 
        __metadata('design:paramtypes', [])
    ], PanelBComponent);
    return PanelBComponent;
}(bcomponent_1.BComponent));
exports.PanelBComponent = PanelBComponent;
