"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var bcomponent_1 = require('../bcomponent');
var heading_bcomponent_1 = require('../heading/heading.bcomponent');
var ThumbnailBComponent = (function (_super) {
    __extends(ThumbnailBComponent, _super);
    function ThumbnailBComponent() {
        var _this = this;
        _super.call(this, "thumbnail");
        this.size = 3;
        this.hasHeader = function () {
            return _this.header !== null || _this.header.trim() !== "";
        };
        this.hasBody = function () {
            return _this.body !== null || _this.body.trim() !== "";
        };
        this.hasFooter = function () {
            return _this.footer !== null || _this.footer.trim() !== "";
        };
        this.hasLink = function () {
            return _this.link !== null || _this.link.trim() !== "";
        };
        this.hasContent = function () {
            return _this.hasHeader() || _this.hasBody() || _this.hasFooter();
        };
    }
    ThumbnailBComponent = __decorate([
        core_1.Component({
            selector: "thumbnail-bcomponent",
            template: '<div [bcomponent-attributes]=self><a *ngIf=hasLink() [attr.href]=link><img [attr.src]=src [attr.alt]=alt></a> <img *ngIf=!hasLink() [attr.src]=src [attr.alt]=alt><div *ngIf=hasContent() class=caption><heading-bcomponent *ngIf=hasHeader() [size]=size [title]=header [styles]="\'margin-top:0px;\'"></heading-bcomponent><p *ngIf=hasBody() [innerHtml]=body></p><p *ngIf=hasFooter() [innerHtml]=footer></p></div></div>',
            directives: [bcomponent_1.BComponentAttributes, heading_bcomponent_1.HeadingBComponent],
            inputs: bcomponent_1.BComponentInputs.concat(['link', 'header', 'body', 'footer', 'src', 'alt', 'size'])
        }), 
        __metadata('design:paramtypes', [])
    ], ThumbnailBComponent);
    return ThumbnailBComponent;
}(bcomponent_1.BComponent));
exports.ThumbnailBComponent = ThumbnailBComponent;
