"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var BComponent = (function () {
    function BComponent(baseClass) {
        this.self = this;
        this.isNull = function (value) {
            return value == null;
        };
        this.baseClass = baseClass;
    }
    BComponent.prototype.ngOnChanges = function () {
        if (this.ngOnChildChanges != null)
            this.ngOnChildChanges();
        if (this.baseClass != null) {
            this.class = this.baseClass;
            if (this.classes != null) {
                this.class += " " + this.classes;
            }
        }
        else {
            if (this.classes != null) {
                this.class = this.classes;
            }
        }
    };
    return BComponent;
}());
exports.BComponent = BComponent;
exports.BComponentInputs = [
    'id',
    'classes',
    'styles',
    'name',
    'aria',
    'ariaBy'
];
var BComponentAttributes = (function () {
    function BComponentAttributes(el) {
        var _this = this;
        this.setAttribute = function (attribute, value) {
            _this.el.nativeElement.setAttribute(attribute, value);
        };
        this.el = el;
    }
    BComponentAttributes.prototype.ngOnChanges = function () {
        if (this.attributes.class != null)
            this.setAttribute("class", this.attributes.class);
        if (this.attributes.id != null)
            this.setAttribute("id", this.attributes.id);
        if (this.attributes.styles != null)
            this.setAttribute("style", this.attributes.styles);
        if (this.attributes.name != null)
            this.setAttribute("name", this.attributes.name);
        if (this.attributes.aria != null)
            this.setAttribute("aria-label", this.attributes.aria);
        if (this.attributes.ariaBy != null)
            this.setAttribute("aria-labelledby", this.attributes.ariaBy);
    };
    __decorate([
        core_1.Input('bcomponent-attributes'), 
        __metadata('design:type', BComponent)
    ], BComponentAttributes.prototype, "attributes", void 0);
    BComponentAttributes = __decorate([
        core_1.Directive({
            selector: "[bcomponent-attributes]"
        }), 
        __metadata('design:paramtypes', [core_1.ElementRef])
    ], BComponentAttributes);
    return BComponentAttributes;
}());
exports.BComponentAttributes = BComponentAttributes;
