"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var bcomponent_1 = require('../bcomponent');
var link_bcomponent_1 = require('../link/link.bcomponent');
var BreadcrumbItem = (function () {
    function BreadcrumbItem(link, text) {
        this.link = link;
        this.text = text;
    }
    return BreadcrumbItem;
}());
exports.BreadcrumbItem = BreadcrumbItem;
var BreadcrumbBComponent = (function (_super) {
    __extends(BreadcrumbBComponent, _super);
    function BreadcrumbBComponent() {
        _super.call(this, "breadcrumb");
    }
    BreadcrumbBComponent = __decorate([
        core_1.Component({
            selector: 'breadcrumb-bcomponent',
            template: '<ol [bcomponent-attributes]=self><li *ngFor="let item of items"><link-bcomponent [text]=item.text [link]=item.link></link-bcomponent></li><li *ngIf="active != null" class=active>{{active}}</li></ol>',
            directives: [bcomponent_1.BComponentAttributes, link_bcomponent_1.LinkBComponent],
            inputs: bcomponent_1.BComponentInputs.concat('items', 'active')
        }), 
        __metadata('design:paramtypes', [])
    ], BreadcrumbBComponent);
    return BreadcrumbBComponent;
}(bcomponent_1.BComponent));
exports.BreadcrumbBComponent = BreadcrumbBComponent;
