"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var bcomponent_1 = require('../bcomponent');
var ButtonBComponent = (function (_super) {
    __extends(ButtonBComponent, _super);
    function ButtonBComponent() {
        var _this = this;
        _super.call(this, "btn btn-default");
        this.type = "default";
        this.ngOnChildChanges = function () {
            _this.baseClass = "btn btn-" + _this.type;
        };
        this.onClick = function () {
            if (_this.click != null)
                _this.click();
        };
    }
    ButtonBComponent = __decorate([
        core_1.Component({
            selector: "button-bcomponent",
            template: '<button [bcomponent-attributes]=self type=button (click)=onClick()>{{text}}</button>',
            directives: [bcomponent_1.BComponentAttributes],
            inputs: bcomponent_1.BComponentInputs.concat(['text', 'type', 'click'])
        }), 
        __metadata('design:paramtypes', [])
    ], ButtonBComponent);
    return ButtonBComponent;
}(bcomponent_1.BComponent));
exports.ButtonBComponent = ButtonBComponent;
