"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var bcomponent_1 = require('../bcomponent');
var DropdownItem = (function () {
    function DropdownItem(type, text, link) {
        var _this = this;
        this.type = "default";
        this.role = "";
        this.isLink = function () {
            return _this.type === "default";
        };
        this.type = type;
        this.text = text;
        this.link = link;
        switch (this.type) {
            case "separator":
                this.class = "divider";
                this.role = "separator";
                break;
            case "header":
                this.class = "dropdown-header";
                break;
            default:
                this.class = "";
                break;
        }
    }
    return DropdownItem;
}());
exports.DropdownItem = DropdownItem;
var DropdownBComponent = (function (_super) {
    __extends(DropdownBComponent, _super);
    function DropdownBComponent() {
        _super.call(this, "dropdown");
    }
    DropdownBComponent = __decorate([
        core_1.Component({
            selector: 'dropdown-bcomponent',
            template: '<div [bcomponent-attributes]=self><button class="btn btn-default dropdown-toggle" type=button id=dropdownMenu1 data-toggle=dropdown aria-haspopup=true aria-expanded=true>{{title}} <span class=caret></span></button><ul class=dropdown-menu><li *ngFor="let item of items" [attr.class]=item.class [attr.role]=item.role><a *ngIf=item.isLink() [attr.href]=item.link [innerHtml]=item.text></a></li></ul></div>',
            directives: [bcomponent_1.BComponentAttributes],
            inputs: bcomponent_1.BComponentInputs.concat(['items', 'title'])
        }), 
        __metadata('design:paramtypes', [])
    ], DropdownBComponent);
    return DropdownBComponent;
}(bcomponent_1.BComponent));
exports.DropdownBComponent = DropdownBComponent;
