"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var bcomponent_1 = require('../bcomponent');
var HeadingBComponent = (function (_super) {
    __extends(HeadingBComponent, _super);
    function HeadingBComponent() {
        var _this = this;
        _super.call(this, "page-header");
        this.size = 1;
        this.ngOnChildChanges = function () {
            if (_this.size == null) {
                _this.size = 1;
            }
        };
    }
    HeadingBComponent = __decorate([
        core_1.Component({
            selector: 'heading-bcomponent',
            template: '<div [bcomponent-attributes]=self *ngIf="size == 1"><h1>{{title}} <small>{{subtitle}}</small></h1></div><div [bcomponent-attributes]=self *ngIf="size == 2"><h2>{{title}} <small>{{subtitle}}</small></h2></div><div [bcomponent-attributes]=self *ngIf="size == 3"><h3>{{title}} <small>{{subtitle}}</small></h3></div><div [bcomponent-attributes]=self *ngIf="size == 4"><h4>{{title}} <small>{{subtitle}}</small></h4></div><div [bcomponent-attributes]=self *ngIf="size == 5"><h5>{{title}} <small>{{subtitle}}</small></h5></div><div [bcomponent-attributes]=self *ngIf="size == 6"><h6>{{title}} <small>{{subtitle}}</small></h6></div>',
            directives: [bcomponent_1.BComponentAttributes],
            inputs: bcomponent_1.BComponentInputs.concat(['title', 'subtitle', 'size'])
        }), 
        __metadata('design:paramtypes', [])
    ], HeadingBComponent);
    return HeadingBComponent;
}(bcomponent_1.BComponent));
exports.HeadingBComponent = HeadingBComponent;
