"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var bcomponent_1 = require('../bcomponent');
var InputGroupBComponent = (function (_super) {
    __extends(InputGroupBComponent, _super);
    function InputGroupBComponent() {
        var _this = this;
        _super.call(this, "form-control");
        this.frontType = "default";
        this.backType = "default";
        this.ngOnChildChanges = function () {
            _this.frontClass = "btn btn-" + _this.frontType;
            _this.backClass = "btn btn-" + _this.backType;
            _this.groupClass = "input-group";
            if (!_this.isNull(_this.size)) {
                _this.groupClass += " input-group-" + _this.size;
            }
        };
    }
    InputGroupBComponent = __decorate([
        core_1.Component({
            selector: "input-group-bcomponent",
            template: '<div class={{groupClass}}><span *ngIf="!isNull(frontText) && isNull(frontClick)" class=input-group-addon>{{frontText}}</span> <span *ngIf="!isNull(frontText) && !isNull(frontClick)" class=input-group-btn><button type=button class={{frontClass}} (click)=frontClick()>{{frontText}}</button></span> <input [bcomponent-attributes]=self type=text placeholder={{placeholder}} [(ngModel)]=model> <span *ngIf="!isNull(backText) && isNull(backClick)" class=input-group-addon>{{backText}}</span> <span *ngIf="!isNull(backText) && !isNull(backClick)" class=input-group-btn><button type=button class={{backClass}} (click)=backClick()>{{backText}}</button></span></div>',
            directives: [bcomponent_1.BComponentAttributes],
            inputs: bcomponent_1.BComponentInputs.concat(['placeholder', 'model', 'size', 'frontText', 'backText', 'frontClick', 'backClick', 'frontType', 'backType'])
        }), 
        __metadata('design:paramtypes', [])
    ], InputGroupBComponent);
    return InputGroupBComponent;
}(bcomponent_1.BComponent));
exports.InputGroupBComponent = InputGroupBComponent;
