"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var bcomponent_1 = require('../bcomponent');
var TableBComponent = (function (_super) {
    __extends(TableBComponent, _super);
    function TableBComponent() {
        var _this = this;
        _super.call(this, "table");
        this.extractHeaders = function (object) {
            return Object.getOwnPropertyNames(object);
        };
        this.extractRows = function (object) {
            var result = [];
            for (var i = 0; i < object.length; i++) {
                var row = [];
                for (var column in object[i]) {
                    row.push(object[i][column]);
                }
                result.push(row);
            }
            return result;
        };
        this.ngOnChildChanges = function () {
            if (_this.striped) {
                _this.baseClass = "table table-striped";
            }
            if (_this.items.length > 0 && _this.items[0].constructor !== Array) {
                _this.headers = _this.extractHeaders(_this.items[0]);
                var rows = [];
                rows = _this.extractRows(_this.items);
                _this.items = rows;
            }
        };
    }
    TableBComponent = __decorate([
        core_1.Component({
            selector: "table-bcomponent",
            template: '<div class=table-responsive><table [bcomponent-attributes]=self><tr><th *ngFor="let header of headers" [innerHtml]=header></th></tr><tr *ngFor="let row of items"><td *ngFor="let column of row" [innerHtml]=column></td></tr></table></div>',
            directives: [bcomponent_1.BComponentAttributes],
            inputs: bcomponent_1.BComponentInputs.concat(['items', 'headers', 'striped'])
        }), 
        __metadata('design:paramtypes', [])
    ], TableBComponent);
    return TableBComponent;
}(bcomponent_1.BComponent));
exports.TableBComponent = TableBComponent;
